Skip to content
Go to Micro

List team deliveries

client.Webhooks.ListDeliveries(ctx, params) (*WebhookListDeliveriesResponse, error)
GET/v2/webhooks/{teamId}/deliveries

Account-wide delivery feed across all of the team’s webhooks, newest first.

ParametersExpand Collapse
params WebhookListDeliveriesParams
TeamID param.Field[string]Optional

Path param

formatuuid
Cursor param.Field[string]Optional

Query param: Opaque cursor from a previous response’s next_cursor.

Limit param.Field[int64]Optional

Query param: Page size (1–100, default 25).

minimum1
maximum100
Status param.Field[WebhookListDeliveriesParamsStatus]Optional

Query param: Filter by outcome.

const WebhookListDeliveriesParamsStatusSuccess WebhookListDeliveriesParamsStatus = "success"
const WebhookListDeliveriesParamsStatusFailed WebhookListDeliveriesParamsStatus = "failed"
Type param.Field[WebhookListDeliveriesParamsType]Optional

Query param: Filter by run type. Defaults to delivery (event deliveries). Pass all to include verification handshakes.

const WebhookListDeliveriesParamsTypeDelivery WebhookListDeliveriesParamsType = "delivery"
const WebhookListDeliveriesParamsTypeVerification WebhookListDeliveriesParamsType = "verification"
const WebhookListDeliveriesParamsTypeAll WebhookListDeliveriesParamsType = "all"
ReturnsExpand Collapse
type WebhookListDeliveriesResponse struct{…}
CreatedAt Time
formatdate-time
DeliveryID string
formatuuid
Status WebhookDeliveryStatus
One of the following:
const WebhookDeliveryStatusSuccess WebhookDeliveryStatus = "success"
const WebhookDeliveryStatusFailed WebhookDeliveryStatus = "failed"
Type WebhookDeliveryType
One of the following:
const WebhookDeliveryTypeDelivery WebhookDeliveryType = "delivery"
const WebhookDeliveryTypeVerification WebhookDeliveryType = "verification"
WebhookID string
formatuuid
Attempts int64Optional

Number of attempts made so far (including async retries).

Event stringOptional

Event name (e.g. webhook.test); verification for handshake runs.

StatusCode int64Optional

HTTP status of the latest attempt; null on a transport error.

TeamID stringOptional
formatuuid
UpdatedAt TimeOptional
formatdate-time
URL stringOptional
NextCursor stringOptional

Pass as cursor to fetch the next page; null when there are no more.

List team deliveries

package main

import (
  "context"
  "fmt"

  "github.com/micro-so/micro-sdk-go"
  "github.com/micro-so/micro-sdk-go/option"
)

func main() {
  client := micro.NewClient(
    option.WithAPIKey("My API Key"),
    option.WithTeamID("My Team ID"),
  )
  response, err := client.Webhooks.ListDeliveries(context.TODO(), micro.WebhookListDeliveriesParams{

  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
{
  "data": [
    {
      "created_at": "2019-12-27T18:11:19.117Z",
      "delivery_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "status": "success",
      "type": "delivery",
      "webhook_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "attempts": 0,
      "event": "event",
      "status_code": 0,
      "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "url": "url"
    }
  ],
  "next_cursor": "next_cursor"
}
Returns Examples
{
  "data": [
    {
      "created_at": "2019-12-27T18:11:19.117Z",
      "delivery_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "status": "success",
      "type": "delivery",
      "webhook_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "attempts": 0,
      "event": "event",
      "status_code": 0,
      "team_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "url": "url"
    }
  ],
  "next_cursor": "next_cursor"
}